RNAPLFOLD(l)

NAME
RNAplfold - calculate locally stable secondary structure - pair probabilities

SYNOPSIS
RNAplfold [-L span] [-W winsize] [-T temp] [-4] [-noLP] [-noGU] [-noCloseGU] [-P paramfile] [-nsp pairs] [-d[0|2] [-c cutoff] [-o] [-u number of unpaired] [-O]

DESCRIPTION
RNAplfold computes local pair probabilities for base pairs with a maximal span of L. The probabilities are averaged over all windows of size L that contain the base pair. For a sequence of length n and a window size of L the algorithm uses only O(n+L*L) memory and O(n*L*L) CPU time. Thus it is practical to "scan" very large genomes for short stable RNA structures. Output consists of a dot plot in postscript file, where the averaged pair probabilities can easily be parsed and visually inspected. The -u option makes i possible to compute the probability that a stretch of x consequtive nucleotides is unpaired, which is useful for predicting possible binding sites. Again this probability is averaged over all windows containing the region.

WARNING! Output format changed!!

The output is a plain text matrix containing on each line a position i followed by the probability that i is unpaired, [i-1..i] is unpaired [i-2..i] is unpaired and so on to the probability that [i-x+1..i] is unpaired.

OPTIONS

-W winsize
    Average pair probabilities over windows of size winsize. Default 70.

-L span
    Allow only pairs (i,j) with j-i<=span. Default winSize.

-c cutoff
    Report only base pairs with an average probability > cutoff in the dot plot; default=0.01.

-o  Save memory by printing out everything during computation. Saves memory, and is activated per default for sequences over 1M bp.

-u (width)
    Compute the mean probability that regions of length 1 to width are unpaired. Output is saved in a _lunp file. Default width is 31.

-O  toggles -u option, output is switched from probabilities to their logarithm, which are NOT exactly the mean energies needed to the respective stretch of bases!

The -T, -d -4, -noGU, -noCloseGU, -e, -P, -nsp, options work as in RNAfold.

SEE ALSO
RNALfold(1)

REFERENCES
S. H. Bernhart, I.L. Hofacker, and P.F. Stadler (2006) "Local Base Pairing Probabilities in Large RNAs" Bioinformatics 22: 614-615
A.F. Bompfünewerer, R. Backofen, S.H. Bernhart, J. Hertel, I.L. Hofacker, P.F. Stadler, S. Will (2007) "Variations on {RNA} Folding and Alignment: Lessons from Benasque" J. Math. Biol.

VERSION
This man page documents version 1.6 Vienna RNA Package.

AUTHORS
Stephan H Bernhart, Ivo L Hofacker, Peter F Stadler.
Send comments to <rna@tbi.univie.ac.at>